# coding: utf-8
from __future__ import unicode_literals
from __future__ import absolute_import

from spyne.model.complex import Array, ComplexModel
from spyne.model.primitive import (
    Integer,
    Unicode,
)

from ..types import Address


class DouItem(ComplexModel):
    __type_name__ = 'douItem'

    id = Integer
    mainID = Integer
    douName = Unicode
    douStatus = Unicode
    addressJur = Address
    addressFact = Address
    servicesList = Array(Unicode(sub_name='service'))

    class Annotations(ComplexModel.Annotations):
        doc = 'Контейнер, содержащий данные ДОУ.'


class MoItem(ComplexModel):
    __type_name__ = 'moItem'

    moID = Integer
    moName = Unicode
    douList = Array(DouItem)

    class Annotations(ComplexModel.Annotations):
        doc = 'Контейнер, содержащий данные MO'


class MoList(ComplexModel):
    __type_name__ = 'moList'

    units = Array(MoItem)

    class Annotations(ComplexModel.Annotations):
        doc = 'Контейнер учреждений.'
