# encoding: utf-8
from __future__ import unicode_literals
from __future__ import absolute_import

from spyne.model.complex import Array, ComplexModel
from spyne.model.primitive import Integer

from ..types import Address


class Group(ComplexModel):
    __type_name__ = 'group'

    _type_info = [
        ('id', Integer),
        ('categoryId', Integer),
        ('ageCategoryId', Integer),
        ('ageSubCategoryId', Integer),
        ('workTimeId', Integer),
        ('healthCategoryId', Integer),
        ('capacityByArea', Integer),
        ('capacityByFact', Integer),
        ('pupilAmount', Integer),
        ('directionsAmount', Integer),
        ('directionsNew', Integer),
    ]


class DouStruct(ComplexModel):
    __type_name__ = 'douStruct'

    _type_info = [
        ('id', Integer),
        ('mainId', Integer),
        ('addressFact', Address),
        ('groups', Array(Group)),
    ]


class Root(ComplexModel):
    __type_name__ = 'AppData'

    douList = Array(DouStruct)
